import React from 'react';
import { Checkbox, Row, Col } from 'antd';

export default class MultiSelect extends React.Component{
  
  onChange=checkedValues => {
    this.props.onChange(checkedValues);
  }
  render(){
    const {all,own}= this.props;
    return(
      <div>
      {all.length==0
        ?<div style={{fontSize:16}}>暂无数据</div>
        :<Checkbox.Group style={{ width: '100%' }} defaultValue={own} onChange={this.onChange}>
        <Row>
          {all.map(e=>(
            <Col span={4} key={e.id}><Checkbox value={e.id}>{e.name}</Checkbox></Col>
          ))}
        </Row>
        </Checkbox.Group>
      }
      </div>
    )
    
  }
}
